//By Andres Amaral (Softams)
//4 Potentiometer 1K
//Use Arduino Pro Micro.

#include <Joystick.h>

#define joyRY A2
#define joyRZ A1
#define joyThrottle A3
#define joySteering A0

int ryAxis_ = 0;
int rzAxis_ = 0;
int throttle_ = 0;
int steering_ = 0;

const int numReadings = 10;
int readings[numReadings];

Joystick_ Joystick(0x12, JOYSTICK_TYPE_JOYSTICK, 0, 0,false,false,false,false,true,true,false,true,false,false,true);

const bool initAutoSendState = true;

void setup()
{
  Serial.begin(9600);
  for (int thisReading = 0; thisReading < numReadings; thisReading++) 
  {
    readings[thisReading] = 0;
  }
  Joystick.begin();
}

void loop() 
{
  ryAxis_ = analogRead(joyRY);
  ryAxis_ = map(ryAxis_,0,1023,0,255);
  Joystick.setRyAxis(ryAxis_);

  rzAxis_ = analogRead(joyRZ);
  rzAxis_ = map(rzAxis_,0,1023,0,255);
  Joystick.setRzAxis(rzAxis_);

  throttle_ = analogRead(joyThrottle);
  throttle_ = map(throttle_,0,1023,0,255);
  Joystick.setThrottle(throttle_);

  steering_ = analogRead(joySteering);
  steering_ = map(steering_,0,1023,0,1278);
  Serial.println(steering_);
delay(0.5);
  Joystick.setSteering(steering_);
}
